1. Data & IP
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
    • Start an investigation
    • Get an investigation by id
    • Dismiss an investigation
    • Get detection investigation prompts
    • Get global investigation prompts
    • Get user investigation prompts
    • Query all risk registers
    • Query all risk register catalog entries
  • Identity
    • List accounts
    • Get an account by id
    • List login events
    • Get a login event by ID
    • Query all mfa statuses
    • Get an MFA status by id
    • Query all OAuth applications
    • Get an OAuth application by id
    • Query all OAuth application instances
    • Query all password reuse instances
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
    • Get an anomaly by ID
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
    • Execute a remediation
  • Browser
    • Query all browser applications
    • Get a browser application by id
    • List browser application instances
    • List browser history entries
    • Query all remote machines
    • Get a remote machine by id
    • Query all web host resources
    • Get a web host resource by id
  • Data & IP
    • Query database exfiltration events
      POST
    • List file delete events
      POST
    • List file movement activities
      POST
    • Get file movement activity by id
      GET
    • List files used with data exfiltration.
      POST
    • Get a specific data exfiltration file
      GET
    • List git events
      POST
    • Get a specific git event by id
      GET
    • List git repositories
      POST
    • Get a specific git repository
      GET
    • List file sharing instances
      POST
    • Query database share grants
      POST
    • Query database share user additions
      POST
    • List documents
      POST
    • Get document by id
      GET
    • List DLP policies
      POST
    • Get a DLP policy by id
      GET
    • List DLP policy detectors
      POST
    • Query all DLP alerts
      POST
    • Get a DLP alert by id
      GET
  • Device
    • List devices
    • Get a device
    • List device applications
    • Get a device application
    • Query device application instances.
    • List device infections
    • Get a device infection
    • List device policies
    • Get a device policy
    • List USB device connection events
    • Get a USB connection event
    • List IDE applications
    • Get an IDE application
    • Query IDE application instances.
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. Data & IP

Get document by id

GET
/data-sharing/documents/{id}
Get document involved in data sharing

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/data-sharing/documents/8CA67511-744C-4D74-B26E-7281CF88712F' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "allowlisted": true,
    "employee_email": "string",
    "employee_name": "string",
    "file_extension": "string",
    "file_type": "unspecified",
    "high_prevalence": true,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "kind": "unspecified",
    "name": "string",
    "risk_factors": [
        {
            "magnitude": 40,
            "type": "sensitive_file"
        }
    ],
    "risk_score": 0.9,
    "sensitivity": "unspecified",
    "source": "unspecified"
}
Modified at 2026-10-20 18:32:30
Previous
List documents
Next
List DLP policies
Built with